#pragma once

#include "CoreMinimal.h"
#include "GeneratorRemoteRepairComponentPair.generated.h"

class AGenerator;
class URemoteGeneratorRepairComponent;

USTRUCT(BlueprintType)
struct FGeneratorRemoteRepairComponentPair
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	AGenerator* Generator;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	URemoteGeneratorRepairComponent* RemoteRepairComponent;

public:
	HALLOWEEN2025_API FGeneratorRemoteRepairComponentPair();
};

FORCEINLINE uint32 GetTypeHash(const FGeneratorRemoteRepairComponentPair) { return 0; }
